[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TThreadPriority

Enumeration specifying the priority at which a thread runs.

## Declaration

Source position: classesh.inc line 1700

`type TThreadPriority = (`
`tpIdle,` |  | Thread only runs when other processes are idle.
`tpLowest,` |  | Thread runs at the lowest priority.
`tpLower,` |  | Thread runs at a lower priority.
`tpNormal,` |  | Thread runs at normal process priority.
`tpHigher,` |  | Thread runs at high priority
`tpHighest,` |  | Thread runs at highest possible priority.
`tpTimeCritical` |  | Thread runs at realtime priority.
`);`